import { Ref } from 'vue';
export declare const submenuSlot: unique symbol;
export declare function provideCurtainVisible(value: Ref<boolean>): void;
export declare function useCurtainVisible(): Ref<boolean, boolean>;
export declare function provideMobile(value: Ref<boolean>): void;
export declare function useMobile(): Ref<boolean, boolean>;
export declare function provideSubmenu(value: Ref<symbol | string | null>): void;
export declare function useSubmenu(): Ref<string | symbol | null, string | symbol | null>;
